#### D.4.23.1 NPos_test

Procedure from library `noether.lib` (see noether_lib).

Usage:
  NPos_test (I); I monomial ideal

Return:
  A list whose first element is 1, if i is in Noether position, 0 otherwise. The second element of this list is a list of variables ordered such that those variables are listed first, of which a power belongs to the initial ideal of i. If i is in Noether position, the method returns furthermore the dimension of i.

Assume:
  i is a nonzero monomial ideal.

Example:

    LIB "noether.lib";
    ring r=0,(X,Y,a,b),dp;
    poly f=X^8+a*Y^4-Y;
    poly g=Y^8+b*X^4-X;
    poly h=diff(f,X)*diff(g,Y)-diff(f,Y)*diff(g,X);
    ideal i=f,g,h;
    NPos_test(i);
    ==> [1]:
    ==>    0
    ==> [2]:
    ==>    [1]:
    ==>       b
    ==>    [2]:
    ==>       a
    ==>    [3]:
    ==>       Y
    ==>    [4]:
    ==>       X

User manual for Singular version 4.4.1, 2025, generated by texi2html.